/**
 * 个人设置数据结构
 *
 * @author CaiAoLin
 * @date 2017/7/27
 * @version
 */
import mongoose from "mongoose";

let Schema = mongoose.Schema;
let collectionName = 'setting';
let modelSchema = {
    // 设置类型
    type: {
        type: Number,
        index: true
    },
    // 设置内容
    data: {
        type: Schema.Types.Mixed,
    },
    // 关联用户id
    user_id: {
        type: String,
        index: true
    },
    // 创建时间
    create_time: Number
};
mongoose.model(collectionName, new Schema(modelSchema, {versionKey: false, collection: collectionName}));
